MONGOC_CLIENT_COMMAND_SIMPLE(3)

NAME
mongoc_client_command_simple() - None

SYNOPSIS

bool
mongoc_client_command_simple (mongoc_client_t           *client,
                              const char                *db_name,
                              const bson_t              *command,
                              const mongoc_read_prefs_t *read_prefs,
                              bson_t                    *reply,
                              bson_error_t              *error);

This is a simplified interface to mongoc_client_command(3) \&. It returns the first document from the result cursor into reply \&.

NOTE
    reply is always set, and should be released with bson_destroy(3) \&.

PARAMETERS

client
    A mongoc_client_t \&.

db_name
    The name of the database to run the command on.

command
    A bson_t containing the command specification.

read_prefs
    A mongoc_read_prefs_t \&.

reply
    A location for the resulting document.

error
    An optional location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

true if successful; otherwise false and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.